<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from moc_range.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="moc_range" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>moc_range</refname>
    <refpurpose>Range of values</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = moc_range(x)
   y = moc_range(x,dim)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
If xis a vector, return the range, i.e., the difference
between the maximum and the minimum, of the input data.
   </para>
   <para>
If x is a matrix, do the above for each column of x.
   </para>
   <para>
If the optional argument dim is supplied, work along dimension
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
rv = grand(1000,5,'nor',0,1);
near6 = moc_range(rv)
near6 =
7.8095835    5.8340675    6.2329766    5.9988651    6.86021
   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>KH Kurt.Hornik@wu-wien.ac.at</member>
   <member>H. Nahrstaedt</member>
   </simplelist>
</refsection>
</refentry>
